%define anolis_release 2
Name:           python-tomli
Version:        2.0.1
Release:        %{anolis_release}%{?dist}
Summary:        A little TOML parser for Python

License:        MIT
URL:            https://pypi.org/project/tomli/
Source0:        https://github.com/hukkin/tomli/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

# The test suite uses the stdlib's unittest framework, but we use %%pytest
# as the test runner.
BuildRequires:  python3-pytest

%global _description %{expand:
Tomli is a Python library for parsing TOML.
Tomli is fully compatible with TOML v1.0.0.}


%description %_description

%package -n python3-tomli
Summary:        %{summary}

%description -n python3-tomli %_description

%package -n python3-tomli-doc
Summary:        Documentation files for python3-tomli
Requires:       python3-tomli = %{version}-%{release}

%description -n python3-tomli-doc
The python3-tomli-doc package contains documentation files for python3-tomli.


%prep
%autosetup -p1 -n tomli-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tomli


%check
%py3_check_import tomli
%pytest


%files -n python3-tomli -f %{pyproject_files}
%license LICENSE

%files -n python3-tomli-doc
%doc README.md
%doc CHANGELOG.md

%changelog
* Mon Mar 11 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 2.0.1-2
- Rebuild with python3.11

* Thu Feb 2 2023 Funda Wang <fundawang@yeah.net> - 2.0.1-1
- Import package for anolis 23
